import { FireEnjinFetchEvent } from "@fireenjin/sdk";
import { EventEmitter } from "../../stencil-public-runtime";
import { User } from "../../sdk";
import { InvoiceType } from "../../interfaces";
export declare class FormUser {
  fuse: any;
  popoverEl: any;
  searchBarEl: HTMLIonSearchbarElement;
  fireenjinFetch: EventEmitter<FireEnjinFetchEvent>;
  userId?: string;
  user: User;
  invoiceType: InvoiceType;
  showPhoto: boolean;
  hideControls: boolean;
  onSuccess(event: any): void;
  componentDidLoad(): void;
  render(): any;
}
